Retrieve a patient's insurance coverage

Last updated: Sep 11, 2025
IMPLEMENTATION
PRODUCT OWNER
HEALTH TECH VENDOR

You can use this API action to review details about a patient’s insurance coverage.

Prerequisite: Having a patient identifier

To use this API action, you must know the patient identifier. If you don’t have one, search for a patient with demographics to locate an appropriate identifier first.

Use cases

This API action may be a good fit for your organization if you perform any of these use cases:

  • Look up insurance plan information for billing purposes.
  • Find out whether a patient is registered for SelfPay (e.g., for worker’s compensation or uninsured patients).

Supported systems

You can use this API action with the Redox FHIR® API.

Talk to a Redoxer

It’s also possible to use the Redox Data Model API for this API action. Talk to a Redoxer to learn about your options.

Your connection's system can return results with their own FHIR® or query-based API. 

Things you need to know

What's next?

Does this API action seem like a good fit for your unique workflow? Let your Technical Account Manager know! To start development, download the resource schema noted in the related action step. Then decide which data elements you need.

If you’re new to Redox, use the Quickstart guide to dive in. If you’re not engaged with our sales team yet, talk to a Redoxer to get started.

Action steps

Prerequisites

The following actions must be completed before attempting the steps below.

Steps
  • 1
    Retrieve a patient's insurance coverage
    required

This table has notes about how to use parameters for this API action specifically, but it's not exhaustive. Refer to the Coverage schema for more details.

Query parameter

Required

Notes

beneficiary

Y

You must include at least one identifier for the patient that the EHR system uses. If you don't have a patient identifier, search for a patient with demographics to find one.

The response contains fields with data about the insurance type(s) and beneficiary. You can find the insurance for a particular encounter in the Order array and the type of coverage in the class.type field.

Coverage/_search
Query
bash
1
curl 'https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Coverage/_search' \
2
--request POST \
3
--header 'Authorization: Bearer ${API_TOKEN}' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'beneficiary=Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7'
Response
json
1
{
2
"id": "cd8518b9-7f02-4ed5-9646-1a504aacf686",
3
"type": "searchset",
4
"entry": [
5
{
6
"search": {
7
"mode": "match",
8
"score": 1
9
},
10
"resource": {
11
"id": "e79a336a-cbcf-4d5e-aa0a-03b92c2b1f7e",
12
"meta": {
13
"lastUpdated": "2022-11-21T23:58:40.882Z"
14
},
15
"class": [
16
{
17
"name": "Accelerator Labs",
18
"type": {
19
"coding": [
20
{
21
"code": "group",
22
"system": "http://terminology.hl7.org/CodeSystem/coverage-class"
23
}
24
]
25
},
26
"value": "294018-059-0004"
27
},
28
{
29
"name": "HMO Deductible Plan",
30
"type": {
31
"coding": [
32
{
33
"code": "plan",
34
"system": "http://terminology.hl7.org/CodeSystem/coverage-class"
35
}
36
]
37
},
38
"value": "83925"
39
}
40
],
41
"payor": [
42
{
43
"reference": "#company"
44
}
45
],
46
"period": {
47
"end": "2023-12-31",
48
"start": "2020-01-01"
49
},
50
"status": "active",
51
"contained": [
52
{
53
"id": "company",
54
"name": "aetna (60054 0131)",
55
"address": [
56
{
57
"city": "Lexington",
58
"line": [
59
"PO Box 14080"
60
],
61
"state": "KY",
62
"country": "US",
63
"district": "Fayette",
64
"postalCode": "40512-4079"
65
}
66
],
67
"telecom": [
68
{
69
"value": "+18089541123",
70
"system": "phone"
71
}
72
],
73
"identifier": [
74
{
75
"value": "93841"
76
}
77
],
78
"resourceType": "Organization"
79
}
80
],
81
"identifier": [
82
{
83
"value": "3400273966",
84
"system": "urn:redox:redox-fhir-sandbox:POLNUM",
85
"extension": [
86
{
87
"url": "https://fhir.redoxengine.com/StructureDefinition/identifier-origin",
88
"valueString": "RedoxAPI"
89
}
90
]
91
}
92
],
93
"beneficiary": {
94
"reference": "Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7"
95
},
96
"resourceType": "Coverage"
97
}
98
}
99
],
100
"total": 1,
101
"resourceType": "Bundle"
102
}

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.